# norootforbuild

%define major     1
%define lib       libmodplug
%define libname   %{lib}%{major}

Name:           libmodplug%{major}
Version:        0.8.8.1
Release:        1.15

Summary:        Libmodplug - a MOD playing library (used for example in ModPlug-xmms)
Summary(de):    Libmodplug - eine MOD Abspielbiblithek (wird unter anderem von ModPlug-xmms benutzt)
Group:          System/Libraries
License:        Public Domain
URL:            http://modplug-xmms.sourceforge.net
Source0:        libmodplug-%{version}.tar.bz2
Source99:       baselibs.conf  
Patch0:         libmodplug-timidity.patch
Conflicts:      xmms-plugins
Provides:       libmodplug = %{version}-%{release}
Obsoletes:      libmodplug < %{version}-%{release}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  pkgconfig
BuildRequires:  gcc-c++

%description
Libmodplug is the library behind -- Modplug-XMMS is a fully featured, complete
input plugin for XMMS which plays mod-like music formats. It is based on the
mod rendering code from ModPlug, a popular windows mod player written by
Olivier Lapicque, found at http://www.modplug.com

This package contains only a static linked library for compiling libxines
mod-plugin, it's not needed to run xine or any other program.

%description -l de
Libmodplug ist die Bibliothek hinter Modplug-XMMS, welches ein Eingabeplugin
für XMMS darstellt um MOD Musikdateien abzuspielen. Es basiert auf dem MOD
Rendering-Code von ModPlug, ein populärer MOD-Player unter Windows, geschrieben
von Olivier Lapicque, siehe auch http://www.modplug.com

Dieses Paket enthält nur die statisch gelinkte Bibliothek, diese wird benötigt
um das MOD-Plugin der libxine zu compilieren. Es wird nicht benötigt um xine
oder ein anderes Programm laufen zu lassen.

%package -n %{lib}-devel
Summary:      Development package for libmodplug
Summary(de):  Entwicklerpaket zur libmodplug
Group:        Development/Libraries/C and C++
Requires:     %{libname} = %{version}-%{release}
Provides:     %{libname}-devel = %{version}
Obsoletes:    %{libname}-devel < %{version}

%description -n %{lib}-devel
This package contains the header files and documentation
needed to develop applications with libmodplug.

%description -n %{lib}-devel -l de
Dieses Paket enthält die Header-Datein und Dokumentationen
die zur Entwicklung von Anwendungen benötigt werden, welche
die libmodplug verwenden.

%debug_package

%prep
%setup -qn libmodplug-%{version}
%patch0
sed -i 's/\r//' ChangeLog
tr -d '\r' <ChangeLog >ChangeLog~
touch -r ChangeLog ChangeLog~
mv ChangeLog~ ChangeLog
chmod -x AUTHORS ChangeLog COPYING

%build
%ifarch ppc x86_64 amd64 ia32e
export CPPFLAGS="${RPM_OPT_FLAGS} -fPIC"
%else
export CPPFLAGS="${RPM_OPT_FLAGS}"
%endif
%configure\
	--disable-static
%{__make} %{?jobs:-j%{jobs}}

%install
%makeinstall
rm %{buildroot}%{_libdir}/*.la

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libmodplug.so.%{major}*

%files -n %{lib}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_includedir}/libmodplug
%{_libdir}/libmodplug.so
%{_libdir}/pkgconfig/libmodplug.pc

%changelog
* Fri May 28 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.8.8.1-0.pm.1
- Update to 0.8.8.1
* Wed Apr 07 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.8.8-0.pm.1
- Update to 0.8.8
* Mon Apr 27 2009 - Manfred.Tremmel@iiv.de
- Update to 0.8.7
* Mon Apr 20 2009 - Manfred.Tremmel@iiv.de
- included a patch from obs
- removed static library to be in sync with OBS
* Mon Apr 20 2009 - Manfred.Tremmel@iiv.de
- Update to 0.8.6
* Tue Apr 14 2009 - Manfred.Tremmel@iiv.de
- Update to 0.8.5
- created shared libraries
- splitted in lib and devel package
* Sat Nov 03 2006 - Manfred.Tremmel@iiv.de
- Update to 0.8.4
* Fri Oct 15 2004 - Manfred.Tremmel@iiv.de
- some little changes for amd64
* Fri Feb 13 2004 - Manfred.Tremmel@iiv.de
- Initial version
